Bug 60086 - misdocumentation of status of -e option
misdocumentation of status of -e option
Product: Red Hat Linux
Classification: Retired
Component: playmidi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2002-02-19 16:03 EST by Jón Fairbairn
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-17 17:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jón Fairbairn 2002-02-19 16:03:01 EST
Description of Problem:
man playmidi says

        send output to external midi.   This is what you'll want to do if you
        have any midi hardware connected to your system.  This option is the
        default for playmidi as distributed.

but this appears not to be the case since playmidi tune.mid fails with

        playmidi: No playback device found.

whereas playmidi -e tune.mid works fine.

Note that playmidi -a tune.mid also works (because I have an AWE soundcard),
but (pace BUG#44051) the -a option isn't mentioned in the man page for this

Version-Release number of selected component (if applicable):


How Reproducible:

Steps to Reproduce:
1. playmidi file.mid

Actual Results:

playmidi: No playback device found.

Expected Results:

A concord of sweet sounds should issue forth from the loudspeakers.

Additional Information:
Comment 1 Bill Nottingham 2004-12-17 17:36:15 EST
No longer shipped, closing.

Note You need to log in before you can comment on or make changes to this bug.